<?xml version="1.0" encoding="UTF-8"?>
<cep xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns="http://camitk.imag.fr/cepcoreschema"
    xsi:schemaLocation="http://camitk.imag.fr/cepcoreschema ../cep.xsd">
    <name>CEP created by Wizard</name>
    <contact>
        <email>Celine.Fouard@univ-grenoble-alpes.fr</email> 
    </contact>
    <description>Example of empty CEP</description>
    <actionExtensions>
        <actionExtension>
            <name>Wizard created image actions</name>
            <description>This action extension proposes several actions on image components</description>
            <!-- <directoryName>imagewizardactions</directoryName> -->
            <actions>
                <action>
                    <name>Example of Image Action</name>
                    <description>Example of simple action on image component.</description>
                    <component>ImageComponent</component>
                    <classification>
                        <family>CreatedByWizard</family>
                        <tag>Image</tag>
                    </classification>
                    <parameters>
                        <parameter name="alpha" type="int" description="An integer."/>
                        <parameter name="beta"  type="bool" description="A boolean parameter."/>
                    </parameters>
                </action>
                <action>
                    <name>Example of Image ITK Filter</name>
                    <description>Example of an itk image action.</description>
                    <component>ImageComponent</component>
                    <classification>
                        <family>CreatedByWizard</family>
                        <tag>Image</tag>
                        <tag>itk</tag>
                        <itkFilter outputType="Same as Input"/>
                    </classification>
                    <parameters>
                        <parameter name="gamma" type="QDate" description="Using class QDate as parameter type"/>
                        <parameter name="phi"  type="double" description="Phi is &lt;i>another parameter&lt;/i>" />
                    </parameters>
                </action>
            </actions>
            <dependencies>
                <dependency type="library" name="itk"/>
            </dependencies>
        </actionExtension>
        <actionExtension>
            <name>Wizard created mesh actions</name>
            <description>This action extension proposes an action on mesh components</description>
            <actions>
                <action>
                    <name>Example of Mesh Action</name>
                    <description>Example of action on a mesh.</description>
                    <component>MeshComponent</component>
                    <classification>
                        <family>CreatedByWizard</family>
                        <tag>Mesh</tag>
                        <tag>Example</tag>
                    </classification>
                    <parameters>
                        <parameter name="A long parameter name" type="QColor" description="This is a very long description&lt;br/>(for a very long parameter name)"/>
                    </parameters>
                </action>
            </actions>
        </actionExtension>
    </actionExtensions>
    
</cep>
